<?
$title = 'Мои тикеты';
include_once '../../sys/fnc.php';
include_once '../../sys/head.php';
echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>';
if (!isset($user)){header("Location: /");exit;}

$id = isset($_GET['id']);

$error = false;
$errort = '';

if ($user->position == 'admin' || $user->position == 'mod'){
echo '<div class="err">Администрация биллинга не может создавать тикет!</div>';
} else {

if (!isset($_POST['msg']) || !isset($_POST['name'])){

$_SESSION['captcha'] = mt_rand(1000, 9999);
echo "<div class='post'><form method='POST' action='?'>Название:<br><input type='text' name='name'><br>";
echo "Тип вопроса:<br />\n<select name='type_of_question'>\n";
echo "<option value='0'>Общие вопросы</option>\n";
echo "<option value='1'>Тех. причины</option>\n";
echo "<option value='2'>Жалобы/Нарушения</option>\n";
//echo "<option value='3'>Домены</option>\n";
echo "<option value='4'>Оплата</option>\n";
echo "<option value='5'>Хостинг</option>\n";
//echo "<option value='6'>Реселлинг</option>\n";
//echo "<option value='7'>Dedicated</option>\n";
echo "<option value='8'>Игровой хостинг</option>\n";
echo "</select><br />\n";
echo "Опишите всё как можно подробнее: <br><textarea name='msg' rows='8' cols='17' style='width:99%'></textarea><br>
<hr><img src='/captcha.php' width='120' height='20' /><br />
<input type='submit' value='Создать'></form></div>";
include_once '../../sys/foot.php';
}
$msg = html($_POST['msg']);
$name = mysql_real_escape_string($_POST['name']);

if (isset($_POST['msg']) || isset($_POST['name'])){
if (strlen($msg) > 20000 || strlen($msg) < 10) {
$error = true;
$errort .= '<div class="err">Неправильная длина сообщения.</div>';
} elseif (strlen($name) > 60 || strlen($name) < 5) {
$error = true;
$errort .= '<div class="err">Неправильная длина названия.</div>';
} 
// elseif(isset($_SESSION['capcha']) && strtoupper($_SESSION['capcha']) != strtoupper(html($_POST['capcha'])))  
//{
//$error = true;
//$errort .= '<div class="err">Неверный проверочный код</div>';
//}
unset($_SESSION['capcha']);  

		
if (!$error) {
mysql_query("INSERT INTO `tickets` (`user`, `time`, `name`, `text`, `read`, `user_read`, `type_of_question`) values ('$user->id', '".time()."', '$name', '$msg', '0', '1', '$_POST[type_of_question]')");
mysql_query("INSERT INTO `tkomm` (`user`, `msg`, `time`, `ticket`) values ('7', 'Пожалуйста, подождите, оператор скоро освободится.', '".time()."', '".mysql_insert_id()."')");

header("Location: /scripts/tickets/ticket.php?id=".$id);
}
}
}
echo $errort;
echo '</p></div></div></div>';
include_once '../../sys/foot.php';
?>